全国咨询热线:18720358503

根据Bitwarden打造出本人专享登陆密码管理方法服

类别:行业新闻 发布时间:2021-03-23 浏览人次:

没有错!此次独享登陆密码管理方法计划方案更是根据Bitwarden,张戈早已应用大半年有余,十分令人满意!这儿应用Docker一键布署方法,指令以下:


Bitwarden务必开启HTTPS浏览管理方法页面才可以一切正常申请注册,因此假如不准备套一层腾迅云CDN来做安全性结构加固得话,还必须在当地布署一个Nginx来代理商Bitwarden,便于打开HTTPS。


Ps:假如用腾迅云CDN得话,腾迅云CDN适用自定源站端口号,立即开启HTTPS,因此这步能够绕过。


前文大家早已递交了腾迅云完全免费资格证书申请办理,等取得成功授予后,能够免费下载到资格证书文档包:随后将缓解压力后Nginx文件目录下的crt和key文档提交到网络服务器,放进/data/bitwarden/cert文件目录就可以:


server_name ; # 依据具体状况改动!!! ssl_certificate /data/bitwarden/cert/_bundle.crt; # 依据具体状况改动!!! ssl_certificate_key /data/bitwarden/cert/.key>;# 依据具体状况改动!!! ssl_session_cache shared:le_nginx_SSL:10m; ssl_session_timeout 1440M; ssl_protocols TLSv1 TLSv1.1 TLSv1.2; ssl_prefer_server_ciphers on; ssl_ciphers "ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA:ECDHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-RSA-AES256-SHA256:DHE-RSA-AES256-SHA:ECDHE-ECDSA-DES-CBC3-SHA:ECDHE-RSA-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:DES-CBC3-SHA:!DSS"; # Allow large attachments client_max_body_size 128M; location / { proxy_pass notifications/hub { proxy_pass notifications/hub/negotiate { proxy_pass pre>
-v /data/bitwarden/cert:/data/bitwarden/cert \ -v /data/bitwarden/nginx/vhost.conf:/etc/nginx/conf.d/default.conf \ nginx:latest

若不经意外,大家只必须在DNSPod将 这一网站域名分析到CVM网络服务器的公网IP就可以一切正常开启Bitwarden的管理方法后台管理了 :Ps:别的反方向代理商配备能够参照:dani-garcia/bitwarden_rs/wiki/Proxy-examples


Ps:由于腾迅云CDN适用自定端口号的源站,因此上一步反方向代理商在应用腾迅云CDN的计划方案下是能够忽视不做的。


源站详细地址填好CVM公网IP+前文bitwarden器皿的曝露端口号8080(就可以以绕过第5步,不用当地再布署一份反方向代理商);回源协议书挑选 HTTP。
将所有种类-全部文档的更新時间改成0天,即不缓存文件增加一个文档种类,內容为:.jpg;.png;.css;.woff;.woff2;.svg,更新時间设定为30天或更长,即静态数据文档缓存文件到CDN(文档种类是以Bitwarden剖析得到);随后如图所示调节下优先选择级,保证必须缓存文件的标准放进最前,所有-全部文档这一兜底种类放进最终。

在等DNS分析起效期内,大家返回腾迅云CDN配备控制面板,寻找【高級配备】,开启HTTPS和HTTP2.0:


做了之上配备,大家便可以一切正常浏览Bitwarden的后台管理管理方法了:,刚布署的服务还没有有账户,这时大家点一下【Create Account】建立大家自身的账户:


Ps:假如还必须给亲人或朋友出示这一服务,还可以邀约她们自身来申请注册账户,那样就可以要我们布署的服实干现更大的使用价值了!或许几十块的资金投入就可以给你取得成功脱单哦!


最终,由于大家布署Bitwarden是个人应用情景,因而必须改动下Bitwarden的器皿起动脚本制作,将前边的SIGNUPS_ALLOWED=true改成SIGNUPS_ALLOWED=false,也便是严禁客户申请注册。实际流程以下:


那样一来,大家布署的Bitwarden就没法再增加申请注册客户了,当必须申请注册新客户时,只必须改动这一主要参数复建下器皿就可以 。


进行所述流程后,大家早已布署了一套独享Bitwarden登陆密码管理方法服务。下边简易详细介绍下普遍应用情景。


Bitwarden适用Web、Chrome,Firefox、Opera 及其 Edge 访问器软件,有着 iOS、Android 顾客端,因而大家能够依据必须挑选安裝Bitwarden的顾客端就可以。下边我关键详细介绍下Bitwarden的Google访问器软件的应用。


线上安裝:开启Google访问器拓展店铺,检索Bitwarden便可以安裝;线下安裝:假如互联网上不便捷开启Google访问器拓展店铺的朋友,可使用线下免费下载方法。

安裝后点一下访问器上的Bitwarden小盾牌标志,弹出来如图所示页面,随后点一下弹出来层左上方的选择项按键,进到软件设定:


在设定页面,大家只必须填好【网络服务器URL】为前文自身布署的Bitwarden服务详细地址随后储存,这儿也便是 :


如今大家随意寻个必须登陆的网页页面,填好账户登陆密码点一下登陆后,Bitwarden软件便会弹出来是不是要储存的提醒了:


要是大家点一下储存,下一次再开启这一网页页面Bitwarden就可以全自动添充账户登陆密码信息内容,假如是有好几个账户,则必须点一下小盾牌标志从目录里边挑选一个账户来添充:


Bitwarden软件一样还适用登陆密码转化成,大家在申请注册新的账户时,明显强烈推荐应用Bitwarden来转化成任意登陆密码,而不必应用大家常常好记的登陆密码,那样安全性性就可以获得巨大的提高。总之是这一任意登陆密码由Bitwarden来记忆力就可以。


自身的登陆密码有多种要这件事情毫无疑问不用张戈来注重了,大伙儿毫无疑问都是慎重看待。因而大家还必须对Bitwarden开展一些必需的安全性结构加固。


Bitwarden适用打开两步登录,也便是在大家设置的静态数据主登陆密码的基本勤奋一步打开了动态性认证码二次认证登陆。适用以下方式:


这儿强烈推荐应用Google的Authenticator动态性认证码APP,起动速率超快,IOS上立即检索Authenticator便可下列载安裝了。如图所示只必须3步就可以进行动态性认证器的关系:


数据信息备份数据自身便是一个老调重弹、不可以忽略的重要连接点,更别说就是我们的登陆密码数据信息了!因而,针对Bitwarden大家还必须设定下定时执行的数据信息备份数据。这儿仍然应用张戈blog常常提及的七天循环系统数据信息备份数据计划方案,并储存一份团本到腾迅云的COS。


################################################################### # Web Backup version 1.0.0 Author: Jager [email protected]> # # # #-----------------------------------------------------------------# # Copyright ©2016 zhang.ge. All rights reserved. # ################################################################### isDel=n args=$# isDel=${!args} # 设定缩小包缓解压力登陆密码 mypassword=123456 test -f /etc/profile . /etc/profile >/dev/null 2> 1 baseDir=$(cd $(dirname $0) pwd) zip --version >/dev/null || yum install -y zip ZIP=$(which zip) TODAY=`date +%u` PYTHON=$(which python) MYSQLDUMP=$(which mysqldump) # coscmd专用工具提交涵数 uploadToCOS() file=$2 domain=$1 file_name=$(basename $2) coscmd upload $file $domain/$file_name if [[ $? -eq 0 ]] [[ "$isDel" == "y" ]] then test -f $2 rm -f $2 printHelp() clear printf ' =====================================mation========================================= 1. Use For Backup database: The $1 must be [db] $2: [domain] $3: [dbname] $4: [mysqluser] $5: [mysqlpassword] $6: [back_path] $7: [isDel] For example:./backup.sh db zhang.ge zhangge_db zhangge 123456 /home/wwwbackup/zhang.ge 2. Use For Backup webfile: The $1 must be {file}: $2: [domain] $3: [site_path] $4: [back_path] $5: [isDel] For example:./backup.sh file zhang.ge /home/wwwroot/zhang.ge /home/wwwbackup/zhang.ge =====================================End of Hlep============================================== exit 0 backupDB() domain=$1 dbname=$2 mysqluser=$3 mysqlpd=$4 back_path=$5 test -d $back_path || (mkdir -p $back_path || echo "$back_path not found! Please CheckOut Or feedback to zhang.ge..." exit 2) cd $back_path #假如是要备份数据远程控制MySQL,则改动以下句子中localhost为远程控制MySQL详细地址 $MYSQLDUMP -hlocalhost -u$mysqluser -p$mysqlpd $dbname --skip-lock-tables --default-character-set=utf8 >$back_path/$domain\_db_$TODAY\.sql test -f $back_path/$domain\_db_$TODAY\.sql || (echo "MysqlDump failed! Please CheckOut Or feedback to zhang.ge..." exit 2) $ZIP -P$mypassword -m $back_path/$domain\_db_$TODAY\.zip $domain\_db_$TODAY\.sql \ uploadToCOS $domain $back_path/$domain\_db_$TODAY\.zip backupFile() domain=$1 site_path=$2 back_path=$3 test -d $site_path || (echo "$site_path not found! Please CheckOut Or feedback to zhang.ge..." exit 2) test -d $back_path || (mkdir -p $back_path || echo "$back_path not found! Please CheckOut Or feedback to zhang.ge..." exit 2) test -f $back_path/$domain\_$TODAY\.zip rm -f $back_path/$domain\_$TODAY\.zip $ZIP -P$mypassword -9r $back_path/$domain\_$TODAY\.zip $site_path \ uploadToCOS $domain $back_path/$domain\_$TODAY\.zip while [ $1 ]; do case $1 in '--db' | 'db' ) backupDB $2 $3 $4 $5 $6 exit '--file' | 'file' ) backupFile $2 $3 $4 exit printHelp exit esac printHelp
bash /data/bitwarden/opt/backup.sh file  /data/bitwarden/data /data/bitwarden/backup 

# 插进一条定时执行每日任务: 0 3 * * * bash /data/bitwarden/opt/backup.sh file /data/bitwarden/data /data/bitwarden/backup >/dev/null 2> 1

文中融合腾迅云CDN、CVM、COS、DNSPod及完全免费SSL资格证书等服务,根据Bitwarden开源系统登陆密码管理方法手机软件打造出了本人独享登陆密码管理方法服务。并在普遍应用情景及安全性结构加固层面干了比较详尽的详细介绍。想自身布署独享登陆密码管理方法服务的朋友能够参照进行。假如感觉阅读文章文中后一切疑惑都可以以在文中后边留言板留言表明,张戈会按时回应。


最终,另附文中布署的Bitwarden Demo(非长期性出示,请勿宣布应用),便捷大伙儿抢鲜、比照:


Jager 2020-3-30 · 18:09
Jager 2020-4-1 · 13:15

最先数据信息把握在你自身手上,这一点比第三方的安全性,次之关键自身搞好安全性安全防护,例如套CDN,网络服务器搞好安全性结构加固这些,一般来讲安全性性還是有确保的


云服务器器排名榜 2020-4-6 · 17:27
下一篇:没有了

推荐阅读

根据Bitwarden打造出本人专享登陆密码管理方法服

没有错!此次独享登陆密码管理方法计划方案更是根据Bitwarden,张戈早已应用大半年有余,十分令人满意!这儿应用Docker一键布署方法,指令以下:Bitwarden务必开启HTTPS浏览管理方法页面...

2021-03-23
机械设备类网站制作

聚集中国外设计方案师、全新升级的HTML5客户感受、为您打造出的知名品牌官方网网站! 公司优惠套餐内容:送国际性网站域名、阿里巴巴云储存空间、包办理备案。花一点钱,也是有...

2021-03-23
“微信小程序・云开发设计”加快搭建开发设计

公布做为Serverless核心理念规模性落地式的最好实践活动, 微信小程序 云开发设计 正遭受越来越越大的关心。十一月七日,在腾迅Techo开发设计者交流会 微信小程序 云开发设计 分社区...

2021-03-23
锋麦机械设备

企业创立于2016年,是一家集产品研发、生产制造、市场销售、服务于一体的包裝机械设备公司。企业致力于于为包装印刷包裝制造行业客户出示健全的纸盒贴窗贴膜生产制造加工工艺和...

2021-03-23
运动健身俱乐部队公司网站模版 DouPHP建网站

运动健身俱乐部队公司网站模版Vip专享选购Vip后安裝演试详细地址安裝方法云安裝(强烈推荐安裝方法)登陆网站后台管理点一下“设定模版”“获得大量模版”线上安裝“运动健身俱...

2021-03-23
严鸿艺术美学官方网站

岚海从来不觉得自身是出色的互联网企业,但岚海自始至终在为出色的公司服务着 Lan Hai never think of themselves as the pany, Lan Hai but always in the service of panies 实例昆明市五华严鸿品牌形象设...

2021-03-22
X

400-8700-61718720358503
企业邮箱2639601583@qq.com
官方微信